/**
 *
 * @param {TopoTriangle[]} faces
 * @param {number} count
 */
export function update_topo_face_normals(faces, count) {

    for (let i = 0; i < count; i++) {
        /**
         *
         * @type {TopoTriangle}
         */
        const face = faces[i];

        if (face.isDegenerateTopology()) {
            // skip
            continue;
        }

        face.computeNormal();

    }
}
